Bug 1211230 - [abrt] gnome-shell: meta_group_new(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: meta_group_new(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4d2f9b13d27d400e0af715481e0...
: 1179624 1226798 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-13 11:17 UTC by Julius B.
Modified: 2016-07-19 13:42 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:42:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.09 KB, text/plain)
2015-04-13 11:17 UTC, Julius B.
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-13 11:17 UTC, Julius B.
no flags Details
File: core_backtrace (18.50 KB, text/plain)
2015-04-13 11:17 UTC, Julius B.
no flags Details
File: dso_list (25.20 KB, text/plain)
2015-04-13 11:17 UTC, Julius B.
no flags Details
File: environ (1.66 KB, text/plain)
2015-04-13 11:17 UTC, Julius B.
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-13 11:18 UTC, Julius B.
no flags Details

Description Julius B. 2015-04-13 11:17:47 UTC
Version-Release number of selected component:
gnome-shell-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_group_new
executable:     /usr/bin/gnome-shell
global_pid:     1878
kernel:         4.0.0-0.rc6.git2.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 meta_group_new at x11/group.c:57
 #5 meta_window_compute_group at x11/group.c:165
 #6 meta_window_group_leader_changed at x11/group.c:200
 #7 reload_wm_hints at x11/window-props.c:1586
 #8 reload_prop_value at x11/window-props.c:199
 #9 meta_window_reload_property_from_xwindow at x11/window-props.c:110
 #10 process_property_notify at x11/window-x11.c:2142
 #11 meta_window_x11_property_notify at x11/window-x11.c:2151
 #12 handle_other_xevent at x11/events.c:1433
 #13 meta_display_handle_xevent at x11/events.c:1735

Potential duplicate: bug 1179624

Comment 1 Julius B. 2015-04-13 11:17:53 UTC
Created attachment 1013923 [details]
File: backtrace

Comment 2 Julius B. 2015-04-13 11:17:54 UTC
Created attachment 1013924 [details]
File: cgroup

Comment 3 Julius B. 2015-04-13 11:17:55 UTC
Created attachment 1013925 [details]
File: core_backtrace

Comment 4 Julius B. 2015-04-13 11:17:56 UTC
Created attachment 1013926 [details]
File: dso_list

Comment 5 Julius B. 2015-04-13 11:17:57 UTC
Created attachment 1013927 [details]
File: environ

Comment 6 Julius B. 2015-04-13 11:18:01 UTC
Created attachment 1013928 [details]
File: limits

Comment 7 Shnoulle 2015-10-16 09:42:54 UTC
Another user experienced a similar problem:

Have thunderbird open
Answer to an email
Send the email : Gnome shell quit

This happen 1 times on 10/20 when sending an email via Thunderbird. SMTP authentication and IMAP copy to send.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_group_new
executable:     /usr/bin/gnome-shell
global_pid:     3247
kernel:         4.1.10-200.fc22.i686
package:        gnome-shell-3.16.3-1.fc22
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            2000

Comment 8 Shnoulle 2015-10-16 09:44:10 UTC
(In reply to Shnoulle from comment #7)
> Another user experienced a similar problem:
> 
> Have thunderbird open
> Answer to an email
> Send the email : Gnome shell quit
> 
> This happen 1 times on 10/20 when sending an email via Thunderbird. SMTP
> authentication and IMAP copy to send.
> 
> reporter:       libreport-2.6.2
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-shell
> crash_function: meta_group_new
> executable:     /usr/bin/gnome-shell
> global_pid:     3247
> kernel:         4.1.10-200.fc22.i686
> package:        gnome-shell-3.16.3-1.fc22
> reason:         gnome-shell killed by SIGABRT
> runlevel:       N 5
> type:           CCpp
> uid:            2000

In backtrace, line 24:
#4  js::SourceCompressorThread::compressorThread (arg=0x99acb04) at /usr/src/debug/mozjs-24.2.0/js/src/jsscript.cpp:965

TB break Gnome 3 ?

Comment 9 Shnoulle 2015-10-16 09:45:27 UTC
(In reply to Shnoulle from comment #7)

My FAF report : https://retrace.fedoraproject.org/faf/reports/843313/

Comment 10 Owen Taylor 2015-10-29 15:00:22 UTC
*** Bug 1226798 has been marked as a duplicate of this bug. ***

Comment 11 Owen Taylor 2015-10-29 15:00:55 UTC
*** Bug 1179624 has been marked as a duplicate of this bug. ***

Comment 12 customercare 2015-10-29 15:30:13 UTC
It happens a lot wtih thunderbird in the FC21 builds :(

Comment 13 Fedora End Of Life 2016-07-19 13:42:23 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.